TON DocsTON Docs
OnboardingNodesApplicationsAPIsContractsSmart contractsTolkTolk languageTVMTON Virtual MachineFoundationsBlockchain foundations

Unpack address

POST
/api/v2/unpackAddress

Converts a user-friendly base64 address to a raw address string in workchain:hex format.

Authorization

X-API-Key<token>

API key header of the form X-API-Key: <token>, where <token> is the API key. Requests without a key are limited to 1 RPS. Refer to the authentication guide for details.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request containing a single address parameter.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/v2/unpackAddress" \  -H "Content-Type: application/json" \  -d '{    "address": "string"  }'
{  "ok": true,  "result": "string",  "@extra": "string"}